diff -u perl-5.8.8.old/ext/IPC/SysV/SysV.xs perl-5.8.8/ext/IPC/SysV/SysV.xs
--- perl-5.8.8.old/ext/IPC/SysV/SysV.xs	2001-06-30 20:46:07.000000000 +0200
+++ perl-5.8.8/ext/IPC/SysV/SysV.xs	2008-11-02 12:55:02.000000000 +0100
@@ -3,9 +3,6 @@
 #include "XSUB.h"
 
 #include <sys/types.h>
-#ifdef __linux__
-#   include <asm/page.h>
-#endif
 #if defined(HAS_MSG) || defined(HAS_SEM) || defined(HAS_SHM)
 #ifndef HAS_SEM
 #   include <sys/ipc.h>
